/**
* Copyright (C) 2002 Alex Gitelman
*
*/
#ifndef __UNICODE__
#define __UNICODE__

unsigned char from_unicode(const unsigned char *uni_char);
void to_unicode(unsigned char c, unsigned char page, unsigned char *uni_char);
/* Unicode -> ASCII */
void install_conversion_table(unsigned char page, unsigned char* conv_table);
/* ASCII -> Unicode */
void install_reverse_conversion_table(unsigned char page, unsigned char* rev_conv_table);
void unicode_init(void);

/* Unicode main init point. Here we must read conversion tables and install them */
void install_unicode_tables(void);


#endif
